RMISecurityManager (Java SE 22 & JDK 22)
Description: declaration: module: java.rmi, package: java.rmi, class: RMISecurityManager
Keywords: java.rmi.RMISecurityManager class

Module java.rmi
Package java.rmi

# Class RMISecurityManager

java.lang.Object
java.lang.SecurityManager
java.rmi.RMISecurityManager

@Deprecated(since="1.8", forRemoval=true) public class RMISecurityManager extends SecurityManager
Deprecated, for removal: This API element is subject to removal in a future version.
This class is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release. Consequently, this class is also deprecated and subject to removal. There is no replacement for the Security Manager or this class.
`RMISecurityManager` implements a policy identical to the policy implemented by `SecurityManager`. RMI applications should use the `SecurityManager` class or another appropriate `SecurityManager` implementation instead of this class. RMI's class loader will download classes from remote locations only if a security manager has been set.

Implementation Note:

  Applets typically run in a container that already has a security manager, so there is generally no need for applets to set a security manager. If you have a standalone application, you might need to set a `SecurityManager` in order to enable class downloading. This can be done by adding the following to your code. (It needs to be executed before RMI can download code from remote hosts, so it most likely needs to appear in the `main` method of your application.)

          if (System.getSecurityManager() == null) {
              System.setSecurityManager(new SecurityManager());
          }

Since:
  1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMISecurityManager()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new `RMISecurityManager`.

- ## Method Summary

  ### Methods declared in class java.lang.SecurityManager

  `checkAccept, checkAccess, checkAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkWrite, checkWrite, getClassContext, getSecurityContext, getThreadGroup`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RMISecurityManager

    public RMISecurityManager()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new `RMISecurityManager`.
    Since:
      1.1